@media(max-width: 1000px) {
    .menu-buttons {
        display: inline-flex !important;
    }

    /*.menu-buttons > li:nth-child(1) > button:nth-child(1) {
width: 60px !important;
}
.menu-buttons > li:nth-child(2) > button:nth-child(1) {
width: 60px !important;
}*/
    .menu-buttons li:first-of-type .rct-btn {
        background-color: transparent;
        background-image:
            /*savepage-url=/en/media/image/1551513681818/950/mid-recharge.png*/
            url();
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        color: transparent;
        height: 34px;
        border-radius: 0;
    }

    .menu-buttons li:first-of-type::after {
        content: 'Recharge';
        /* Text for the first button */
        margin-top: 56px;
        font-size: 14px;
        margin-left: -80px;
        position: relative;
        cursor: pointer;
    }

    .menu-buttons li:first-of-type:hover::after {
        color: #e60000;
    }

    .menu-buttons li:nth-child(2) .rct-btn {
        background-color: transparent;
        background-image:
            /*savepage-url=/en/media/image/1551513681818/mid-bill.png*/
            url();
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        color: transparent;
        height: 34px;
        border-radius: 0;
    }

    .menu-buttons li:nth-child(2)::after {
        content: 'Pay Bill';
        /* Text for the second button */
        margin-top: 56px;
        font-size: 14px;
        margin-left: -68px;
        position: relative;
        cursor: pointer;
    }

    .menu-buttons li:nth-child(2):hover::after {
        color: #e60000;
    }

    .menu-buttons::after {
        content: '';
        display: block;
        width: 1px;
        height: 50px;
        /* Height of the separator */
        background-color: #00000050;
        /* Color of the separator */
        margin-top: 10px;
        /* Space above the separator */
        margin-left: 15px;
        opacity: 0.1;
    }
}

@media(max-width: 446px) {
    .menu-buttons {
        display: flex !important;
        gap: 2px;
    }

    .menu-buttons::after {
        margin-left: 10px;
    }

    .menu-buttons>li:nth-child(1) {
        transform: scale(0.85);
    }

    .menu-buttons>li:nth-child(2) {
        transform: scale(0.85);
    }

    .menu-buttons li:first-of-type .rct-btn {
        height: 30px;
        width: 20px;
    }

    .menu-buttons li:nth-child(2) .rct-btn {
        height: 30px;
        width: 20px;
    }

    .menu-buttons li:first-of-type::after {
        font-size: 12px;
        margin-left: -49px;
        position: relative;
    }

    .menu-buttons li:nth-child(2)::after {
        font-size: 12px;
        margin-left: -43px;
        position: relative;
    }

    .menu-buttons::after {
        display: block;
    }
}

@media(max-width: 382px) {
    .menu-buttons {
        gap: unset;
    }

    .menu-buttons>li:nth-child(1) {
        transform: scale(0.8);
    }

    .menu-buttons>li:nth-child(2) {
        transform: scale(0.8);
    }

    .menu-buttons::after {
        margin-left: 4px;
    }

    .menu-buttons li:first-of-type::after {
        margin-left: -49px;
    }

    .menu-buttons li:nth-child(2)::after {
        font-size: 12px;
        margin-left: -34px;
    }
}